Main Page Namespaces Book

# Pango::AttrFontDesc Class Reference

Inheritance diagram for Pango::AttrFontDesc:

[legend]

List of all members.

## Detailed Description

A Pango::AttrFontDesc is used to represent an attribute that sets all aspects of the font description at once.

## Public Member Functions

| AttrFontDesc (PangoAttrFontDesc* castitem, bool take_copy=true)
| AttrFontDesc (const AttrFontDesc& src)
FontDescription | get_desc () const
| Gets the font description which is the value of the attribute.
const PangoAttrFontDesc* | gobj () const
| Provides access to the underlying C GObject.
PangoAttrFontDesc* | gobj ()
| Provides access to the underlying C GObject.
AttrFontDesc& | operator= (const AttrFontDesc& src)
void | set_desc (const FontDescription& desc)
| Sets the font description which is the value of the attribute.

## Protected Member Functions

| AttrFontDesc ()

## Related Functions

(Note that these are not member functions.)
Pango::AttrFontDesc | wrap (PangoAttrFontDesc* object, bool take_copy=false)

## Constructor & Destructor Documentation

Pango::AttrFontDesc::AttrFontDesc | ( |  | ) | `[protected]`

Pango::AttrFontDesc::AttrFontDesc | ( | const AttrFontDesc& | src | ) |

Pango::AttrFontDesc::AttrFontDesc | ( | PangoAttrFontDesc * | castitem,
|  | bool | take_copy = `true` |
| ) |  |  | `[explicit]`

## Member Function Documentation

FontDescription Pango::AttrFontDesc::get_desc | ( |  | ) | const

Gets the font description which is the value of the attribute.

Returns:
  The font description of the attribute.

const PangoAttrFontDesc* Pango::AttrFontDesc::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Pango::Attribute.

References Pango::Attribute::gobject_.

PangoAttrFontDesc* Pango::AttrFontDesc::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Pango::Attribute.

References Pango::Attribute::gobject_.

AttrFontDesc& Pango::AttrFontDesc::operator= | ( | const AttrFontDesc& | src | ) |

void Pango::AttrFontDesc::set_desc | ( | const FontDescription& | desc | ) |

Sets the font description which is the value of the attribute.

Parameters:

  | desc | The new font description for the attribute.

## Friends And Related Function Documentation

Pango::AttrFontDesc wrap | ( | PangoAttrFontDesc * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

The documentation for this class was generated from the following file:

- attributes.h